-p 0 -S 0 -n  18 50
-p 0 -S 0 -n  8 25
-p 0 -S 0 -n  30 100
-p 1 -S 0 -n  27 100
-p 1 -S 0 -n  24 100
-p 1 -S 0 -n  46 200
-p 1 -S 0 -n  5 25
-p 2 -S 0 -n  5 25
-p 2 -S 0 -n  16 100
-p 2 -S 0 -n  7 50
-p 2 -S 0 -n  3 25
-p 2 -S 0 -n  10 100
